Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

README: Adding a note that 1.9 mode has to be enabled in JRuby. #42

Closed
wants to merge 1 commit into from

3 participants

@xaviershay
Collaborator

(Otherwise you get a syntax error on class Batch; def initialize(enumerable=nil, options, &block) - options needs to default to nil for compat)

@xaviershay xaviershay Adding a note that 1.9 mode has to be enabled in JRuby.
(Otherwise you get a syntax error on `class Batch; def initialize(enumerable=nil, options, &block)` - options needs to default to nil for compat)
6de2953
@xaviershay
Collaborator

Actually it's probably just as easy to switch over CI to not use 1.9 mode and just fix this one issue. There's no real reason to require 1.9 mode in JRuby?

@mperham mperham closed this in bf8208e
@AE9RB

How do you enable? I'll keep searching, but all I find are references telling me to do something that's probably a command line or ENV but doesn't show in --help.

@xaviershay
Collaborator
export JRUBY_OPTS="--1.9"
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Commits on Nov 3, 2011
  1. @xaviershay

    Adding a note that 1.9 mode has to be enabled in JRuby.

    xaviershay authored
    (Otherwise you get a syntax error on `class Batch; def initialize(enumerable=nil, options, &block)` - options needs to default to nil for compat)
This page is out of date. Refresh to see the latest.
Showing with 1 addition and 1 deletion.
  1. +1 −1  README.md
View
2  README.md
@@ -9,7 +9,7 @@ girl\_friday is a Ruby library for performing asynchronous tasks. Often times y
Installation
------------------
-We recommend using [JRuby 1.6+](http://jruby.org) or [Rubinius 2.0+](http://rubini.us) with girl\_friday. Both are excellent options for executing Ruby these days.
+We recommend using [JRuby 1.6+](http://jruby.org) or [Rubinius 2.0+](http://rubini.us) with girl\_friday. Both are excellent options for executing Ruby these days. Make sure you set them to 1.9 mode.
gem install girl_friday
Something went wrong with that request. Please try again.